## com.rbnb.api
Interface SecurityProvider

    public interface SecurityProvider

Method Summary
`void` `clientSideAuthenticate(InputStream is, OutputStream os)`
`void` `serverSideAuthenticate(InputStream is, OutputStream os)`

Method Detail

### serverSideAuthenticate

    void serverSideAuthenticate(InputStream is,
                                OutputStream os)
                                throws Exception

  Throws:
    `Exception`

### clientSideAuthenticate

    void clientSideAuthenticate(InputStream is,
                                OutputStream os)
                                throws Exception

  Throws:
    `Exception`